Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Edge.Update(ctx, operations.C1APIEdgeV1EdgeServiceUpdateRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.EdgeServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.edge.update({
appId: "<id>",
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"edge": {
"allowInferenceBearerTokens": true,
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialInjections": [
{
"contentType": "<string>",
"headerName": "<string>",
"hostPattern": "<string>",
"pathPattern": "<string>",
"secretId": "<string>",
"valuePrefix": "<string>",
"vaultId": "<string>"
}
],
"displayName": "<string>",
"egressChecks": [
{
"enabled": true,
"id": "<string>",
"integration": {
"integrationId": "<string>"
},
"match": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
}
}
],
"egressConnectEntitlementId": "<string>",
"egressRules": [
{
"allowEmptyEncodedBody": true,
"allowResponseDecodeRefusals": true,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"endpointPattern": "<string>",
"exemptCredentialKinds": [],
"exemptResponseCredentialKinds": [],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
},
"skipContentInspection": true
}
],
"egressRulesConfigured": true,
"egressTls": {
"builtin": {}
},
"egressUnmatchedRule": {
"allowEmptyEncodedBody": true,
"allowResponseDecodeRefusals": true,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"endpointPattern": "<string>",
"exemptCredentialKinds": [],
"exemptResponseCredentialKinds": [],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
},
"skipContentInspection": true
},
"enabledKinds": [],
"id": "<string>",
"inference": {
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": true,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": true,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"targetIds": [
"<string>"
]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {},
"credentialRecipe": "<string>",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
},
"inferenceConnections": [
{
"catalogEntryId": "<string>",
"region": "<string>",
"secretId": "<string>",
"variantId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"inferenceInvokeEntitlementId": "<string>",
"inferenceModelsReadEntitlementId": "<string>",
"inferenceRoutes": [
{
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": true,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": true,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"targetIds": [
"<string>"
]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {},
"credentialRecipe": "<string>",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"tokenAudience": "<string>",
"tokenResources": {
"egress": "<string>",
"inference": "<string>"
},
"tokenScopes": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}"
payload = {
"edge": {
"allowInferenceBearerTokens": True,
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialInjections": [
{
"contentType": "<string>",
"headerName": "<string>",
"hostPattern": "<string>",
"pathPattern": "<string>",
"secretId": "<string>",
"valuePrefix": "<string>",
"vaultId": "<string>"
}
],
"displayName": "<string>",
"egressChecks": [
{
"enabled": True,
"id": "<string>",
"integration": { "integrationId": "<string>" },
"match": {
"headerEquals": {},
"headerPresent": ["<string>"],
"methods": ["<string>"],
"packageArtifact": True,
"path": "<string>",
"queryEquals": {},
"queryPresent": ["<string>"]
}
}
],
"egressConnectEntitlementId": "<string>",
"egressRules": [
{
"allowEmptyEncodedBody": True,
"allowResponseDecodeRefusals": True,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"endpointPattern": "<string>",
"exemptCredentialKinds": [],
"exemptResponseCredentialKinds": [],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": True,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": ["<string>"],
"methods": ["<string>"],
"packageArtifact": True,
"path": "<string>",
"queryEquals": {},
"queryPresent": ["<string>"]
},
"skipContentInspection": True
}
],
"egressRulesConfigured": True,
"egressTls": { "builtin": {} },
"egressUnmatchedRule": {
"allowEmptyEncodedBody": True,
"allowResponseDecodeRefusals": True,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"endpointPattern": "<string>",
"exemptCredentialKinds": [],
"exemptResponseCredentialKinds": [],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": True,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": ["<string>"],
"methods": ["<string>"],
"packageArtifact": True,
"path": "<string>",
"queryEquals": {},
"queryPresent": ["<string>"]
},
"skipContentInspection": True
},
"enabledKinds": [],
"id": "<string>",
"inference": {
"allowHumanCallers": True,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": True
},
"maxAttempts": 123,
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": True,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": True,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": ["<string>"],
"tierPrompt": "<string>"
}
],
"targetIds": ["<string>"]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {},
"credentialRecipe": "<string>",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
},
"inferenceConnections": [
{
"catalogEntryId": "<string>",
"region": "<string>",
"secretId": "<string>",
"variantId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"inferenceInvokeEntitlementId": "<string>",
"inferenceModelsReadEntitlementId": "<string>",
"inferenceRoutes": [
{
"allowHumanCallers": True,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": True
},
"maxAttempts": 123,
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": True,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": True,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": ["<string>"],
"tierPrompt": "<string>"
}
],
"targetIds": ["<string>"]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {},
"credentialRecipe": "<string>",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"tokenAudience": "<string>",
"tokenResources": {
"egress": "<string>",
"inference": "<string>"
},
"tokenScopes": ["<string>"],
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
edge: {
allowInferenceBearerTokens: true,
appId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
credentialInjections: [
{
contentType: '<string>',
headerName: '<string>',
hostPattern: '<string>',
pathPattern: '<string>',
secretId: '<string>',
valuePrefix: '<string>',
vaultId: '<string>'
}
],
displayName: '<string>',
egressChecks: [
{
enabled: true,
id: '<string>',
integration: {integrationId: '<string>'},
match: {
headerEquals: {},
headerPresent: ['<string>'],
methods: ['<string>'],
packageArtifact: true,
path: '<string>',
queryEquals: {},
queryPresent: ['<string>']
}
}
],
egressConnectEntitlementId: '<string>',
egressRules: [
{
allowEmptyEncodedBody: true,
allowResponseDecodeRefusals: true,
authzen: {appId: '<string>', serverId: '<string>'},
endpointPattern: '<string>',
exemptCredentialKinds: [],
exemptResponseCredentialKinds: [],
maxInspectedBodyBytes: '<string>',
principal: {all: true, entitlementId: '<string>', userId: '<string>'},
request: {
headerEquals: {},
headerPresent: ['<string>'],
methods: ['<string>'],
packageArtifact: true,
path: '<string>',
queryEquals: {},
queryPresent: ['<string>']
},
skipContentInspection: true
}
],
egressRulesConfigured: true,
egressTls: {builtin: {}},
egressUnmatchedRule: {
allowEmptyEncodedBody: true,
allowResponseDecodeRefusals: true,
authzen: {appId: '<string>', serverId: '<string>'},
endpointPattern: '<string>',
exemptCredentialKinds: [],
exemptResponseCredentialKinds: [],
maxInspectedBodyBytes: '<string>',
principal: {all: true, entitlementId: '<string>', userId: '<string>'},
request: {
headerEquals: {},
headerPresent: ['<string>'],
methods: ['<string>'],
packageArtifact: true,
path: '<string>',
queryEquals: {},
queryPresent: ['<string>']
},
skipContentInspection: true
},
enabledKinds: [],
id: '<string>',
inference: {
allowHumanCallers: true,
callerServicePrincipalId: '<string>',
callerWorkloadFederationTrustId: '<string>',
contentType: '<string>',
expectedSecretVersion: '<string>',
registryModelId: '<string>',
routeId: '<string>',
secretId: '<string>',
selection: {
attemptTimeoutMs: 123,
confidenceThreshold: 123,
handoffNotes: {
deescalationNote: '<string>',
escalationNote: '<string>',
onlyOnWrongSignalEscalation: true
},
maxAttempts: 123,
recentWindow: 123,
retry: {baseMs: 123, capMs: 123, jitter: true, maxSameTargetRetries: 123},
routeDeadlineMs: 123,
stages: [
{
judge: {
baseThreshold: 123,
decision: {
capableLabel: '<string>',
cutoff: 123,
efficientLabel: '<string>',
evidenceJson: '<string>',
instructionsJson: '<string>'
},
failOpen: true,
maxOutputTokens: 123,
prompt: '<string>',
recentTurnWindow: 123,
thresholdStep: 123
},
judgeTargetId: '<string>',
stageId: '<string>',
targetIds: ['<string>'],
tierPrompt: '<string>'
}
],
targetIds: ['<string>']
},
targets: [
{
catalogEntryId: '<string>',
catalogVariantId: '<string>',
circuitBreaker: {cooldownMs: 123, failureThreshold: 123},
contentType: '<string>',
contextLength: 123,
credentialFailurePolicy: {},
credentialRecipe: '<string>',
destination: '<string>',
expectedSecretVersion: '<string>',
modelIdGrammar: '<string>',
providerProfile: '<string>',
reasoningEffort: '<string>',
region: '<string>',
secretId: '<string>',
targetId: '<string>',
upstreamModelId: '<string>',
upstreamPath: '<string>',
vaultBoundaryId: '<string>'
}
],
upstreamModelId: '<string>',
vaultBoundaryId: '<string>'
},
inferenceConnections: [
{
catalogEntryId: '<string>',
region: '<string>',
secretId: '<string>',
variantId: '<string>',
vaultBoundaryId: '<string>'
}
],
inferenceInvokeEntitlementId: '<string>',
inferenceModelsReadEntitlementId: '<string>',
inferenceRoutes: [
{
allowHumanCallers: true,
callerServicePrincipalId: '<string>',
callerWorkloadFederationTrustId: '<string>',
contentType: '<string>',
expectedSecretVersion: '<string>',
registryModelId: '<string>',
routeId: '<string>',
secretId: '<string>',
selection: {
attemptTimeoutMs: 123,
confidenceThreshold: 123,
handoffNotes: {
deescalationNote: '<string>',
escalationNote: '<string>',
onlyOnWrongSignalEscalation: true
},
maxAttempts: 123,
recentWindow: 123,
retry: {baseMs: 123, capMs: 123, jitter: true, maxSameTargetRetries: 123},
routeDeadlineMs: 123,
stages: [
{
judge: {
baseThreshold: 123,
decision: {
capableLabel: '<string>',
cutoff: 123,
efficientLabel: '<string>',
evidenceJson: '<string>',
instructionsJson: '<string>'
},
failOpen: true,
maxOutputTokens: 123,
prompt: '<string>',
recentTurnWindow: 123,
thresholdStep: 123
},
judgeTargetId: '<string>',
stageId: '<string>',
targetIds: ['<string>'],
tierPrompt: '<string>'
}
],
targetIds: ['<string>']
},
targets: [
{
catalogEntryId: '<string>',
catalogVariantId: '<string>',
circuitBreaker: {cooldownMs: 123, failureThreshold: 123},
contentType: '<string>',
contextLength: 123,
credentialFailurePolicy: {},
credentialRecipe: '<string>',
destination: '<string>',
expectedSecretVersion: '<string>',
modelIdGrammar: '<string>',
providerProfile: '<string>',
reasoningEffort: '<string>',
region: '<string>',
secretId: '<string>',
targetId: '<string>',
upstreamModelId: '<string>',
upstreamPath: '<string>',
vaultBoundaryId: '<string>'
}
],
upstreamModelId: '<string>',
vaultBoundaryId: '<string>'
}
],
tokenAudience: '<string>',
tokenResources: {egress: '<string>', inference: '<string>'},
tokenScopes: ['<string>'],
updatedAt: '2023-11-07T05:31:56Z'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'edge' => [
'allowInferenceBearerTokens' => true,
'appId' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'credentialInjections' => [
[
'contentType' => '<string>',
'headerName' => '<string>',
'hostPattern' => '<string>',
'pathPattern' => '<string>',
'secretId' => '<string>',
'valuePrefix' => '<string>',
'vaultId' => '<string>'
]
],
'displayName' => '<string>',
'egressChecks' => [
[
'enabled' => true,
'id' => '<string>',
'integration' => [
'integrationId' => '<string>'
],
'match' => [
'headerEquals' => [
],
'headerPresent' => [
'<string>'
],
'methods' => [
'<string>'
],
'packageArtifact' => true,
'path' => '<string>',
'queryEquals' => [
],
'queryPresent' => [
'<string>'
]
]
]
],
'egressConnectEntitlementId' => '<string>',
'egressRules' => [
[
'allowEmptyEncodedBody' => true,
'allowResponseDecodeRefusals' => true,
'authzen' => [
'appId' => '<string>',
'serverId' => '<string>'
],
'endpointPattern' => '<string>',
'exemptCredentialKinds' => [
],
'exemptResponseCredentialKinds' => [
],
'maxInspectedBodyBytes' => '<string>',
'principal' => [
'all' => true,
'entitlementId' => '<string>',
'userId' => '<string>'
],
'request' => [
'headerEquals' => [
],
'headerPresent' => [
'<string>'
],
'methods' => [
'<string>'
],
'packageArtifact' => true,
'path' => '<string>',
'queryEquals' => [
],
'queryPresent' => [
'<string>'
]
],
'skipContentInspection' => true
]
],
'egressRulesConfigured' => true,
'egressTls' => [
'builtin' => [
]
],
'egressUnmatchedRule' => [
'allowEmptyEncodedBody' => true,
'allowResponseDecodeRefusals' => true,
'authzen' => [
'appId' => '<string>',
'serverId' => '<string>'
],
'endpointPattern' => '<string>',
'exemptCredentialKinds' => [
],
'exemptResponseCredentialKinds' => [
],
'maxInspectedBodyBytes' => '<string>',
'principal' => [
'all' => true,
'entitlementId' => '<string>',
'userId' => '<string>'
],
'request' => [
'headerEquals' => [
],
'headerPresent' => [
'<string>'
],
'methods' => [
'<string>'
],
'packageArtifact' => true,
'path' => '<string>',
'queryEquals' => [
],
'queryPresent' => [
'<string>'
]
],
'skipContentInspection' => true
],
'enabledKinds' => [
],
'id' => '<string>',
'inference' => [
'allowHumanCallers' => true,
'callerServicePrincipalId' => '<string>',
'callerWorkloadFederationTrustId' => '<string>',
'contentType' => '<string>',
'expectedSecretVersion' => '<string>',
'registryModelId' => '<string>',
'routeId' => '<string>',
'secretId' => '<string>',
'selection' => [
'attemptTimeoutMs' => 123,
'confidenceThreshold' => 123,
'handoffNotes' => [
'deescalationNote' => '<string>',
'escalationNote' => '<string>',
'onlyOnWrongSignalEscalation' => true
],
'maxAttempts' => 123,
'recentWindow' => 123,
'retry' => [
'baseMs' => 123,
'capMs' => 123,
'jitter' => true,
'maxSameTargetRetries' => 123
],
'routeDeadlineMs' => 123,
'stages' => [
[
'judge' => [
'baseThreshold' => 123,
'decision' => [
'capableLabel' => '<string>',
'cutoff' => 123,
'efficientLabel' => '<string>',
'evidenceJson' => '<string>',
'instructionsJson' => '<string>'
],
'failOpen' => true,
'maxOutputTokens' => 123,
'prompt' => '<string>',
'recentTurnWindow' => 123,
'thresholdStep' => 123
],
'judgeTargetId' => '<string>',
'stageId' => '<string>',
'targetIds' => [
'<string>'
],
'tierPrompt' => '<string>'
]
],
'targetIds' => [
'<string>'
]
],
'targets' => [
[
'catalogEntryId' => '<string>',
'catalogVariantId' => '<string>',
'circuitBreaker' => [
'cooldownMs' => 123,
'failureThreshold' => 123
],
'contentType' => '<string>',
'contextLength' => 123,
'credentialFailurePolicy' => [
],
'credentialRecipe' => '<string>',
'destination' => '<string>',
'expectedSecretVersion' => '<string>',
'modelIdGrammar' => '<string>',
'providerProfile' => '<string>',
'reasoningEffort' => '<string>',
'region' => '<string>',
'secretId' => '<string>',
'targetId' => '<string>',
'upstreamModelId' => '<string>',
'upstreamPath' => '<string>',
'vaultBoundaryId' => '<string>'
]
],
'upstreamModelId' => '<string>',
'vaultBoundaryId' => '<string>'
],
'inferenceConnections' => [
[
'catalogEntryId' => '<string>',
'region' => '<string>',
'secretId' => '<string>',
'variantId' => '<string>',
'vaultBoundaryId' => '<string>'
]
],
'inferenceInvokeEntitlementId' => '<string>',
'inferenceModelsReadEntitlementId' => '<string>',
'inferenceRoutes' => [
[
'allowHumanCallers' => true,
'callerServicePrincipalId' => '<string>',
'callerWorkloadFederationTrustId' => '<string>',
'contentType' => '<string>',
'expectedSecretVersion' => '<string>',
'registryModelId' => '<string>',
'routeId' => '<string>',
'secretId' => '<string>',
'selection' => [
'attemptTimeoutMs' => 123,
'confidenceThreshold' => 123,
'handoffNotes' => [
'deescalationNote' => '<string>',
'escalationNote' => '<string>',
'onlyOnWrongSignalEscalation' => true
],
'maxAttempts' => 123,
'recentWindow' => 123,
'retry' => [
'baseMs' => 123,
'capMs' => 123,
'jitter' => true,
'maxSameTargetRetries' => 123
],
'routeDeadlineMs' => 123,
'stages' => [
[
'judge' => [
'baseThreshold' => 123,
'decision' => [
'capableLabel' => '<string>',
'cutoff' => 123,
'efficientLabel' => '<string>',
'evidenceJson' => '<string>',
'instructionsJson' => '<string>'
],
'failOpen' => true,
'maxOutputTokens' => 123,
'prompt' => '<string>',
'recentTurnWindow' => 123,
'thresholdStep' => 123
],
'judgeTargetId' => '<string>',
'stageId' => '<string>',
'targetIds' => [
'<string>'
],
'tierPrompt' => '<string>'
]
],
'targetIds' => [
'<string>'
]
],
'targets' => [
[
'catalogEntryId' => '<string>',
'catalogVariantId' => '<string>',
'circuitBreaker' => [
'cooldownMs' => 123,
'failureThreshold' => 123
],
'contentType' => '<string>',
'contextLength' => 123,
'credentialFailurePolicy' => [
],
'credentialRecipe' => '<string>',
'destination' => '<string>',
'expectedSecretVersion' => '<string>',
'modelIdGrammar' => '<string>',
'providerProfile' => '<string>',
'reasoningEffort' => '<string>',
'region' => '<string>',
'secretId' => '<string>',
'targetId' => '<string>',
'upstreamModelId' => '<string>',
'upstreamPath' => '<string>',
'vaultBoundaryId' => '<string>'
]
],
'upstreamModelId' => '<string>',
'vaultBoundaryId' => '<string>'
]
],
'tokenAudience' => '<string>',
'tokenResources' => [
'egress' => '<string>',
'inference' => '<string>'
],
'tokenScopes' => [
'<string>'
],
'updatedAt' => '2023-11-07T05:31:56Z'
],
'updateMask' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"edge\": {\n \"allowInferenceBearerTokens\": true,\n \"appId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"credentialInjections\": [\n {\n \"contentType\": \"<string>\",\n \"headerName\": \"<string>\",\n \"hostPattern\": \"<string>\",\n \"pathPattern\": \"<string>\",\n \"secretId\": \"<string>\",\n \"valuePrefix\": \"<string>\",\n \"vaultId\": \"<string>\"\n }\n ],\n \"displayName\": \"<string>\",\n \"egressChecks\": [\n {\n \"enabled\": true,\n \"id\": \"<string>\",\n \"integration\": {\n \"integrationId\": \"<string>\"\n },\n \"match\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"egressConnectEntitlementId\": \"<string>\",\n \"egressRules\": [\n {\n \"allowEmptyEncodedBody\": true,\n \"allowResponseDecodeRefusals\": true,\n \"authzen\": {\n \"appId\": \"<string>\",\n \"serverId\": \"<string>\"\n },\n \"endpointPattern\": \"<string>\",\n \"exemptCredentialKinds\": [],\n \"exemptResponseCredentialKinds\": [],\n \"maxInspectedBodyBytes\": \"<string>\",\n \"principal\": {\n \"all\": true,\n \"entitlementId\": \"<string>\",\n \"userId\": \"<string>\"\n },\n \"request\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n },\n \"skipContentInspection\": true\n }\n ],\n \"egressRulesConfigured\": true,\n \"egressTls\": {\n \"builtin\": {}\n },\n \"egressUnmatchedRule\": {\n \"allowEmptyEncodedBody\": true,\n \"allowResponseDecodeRefusals\": true,\n \"authzen\": {\n \"appId\": \"<string>\",\n \"serverId\": \"<string>\"\n },\n \"endpointPattern\": \"<string>\",\n \"exemptCredentialKinds\": [],\n \"exemptResponseCredentialKinds\": [],\n \"maxInspectedBodyBytes\": \"<string>\",\n \"principal\": {\n \"all\": true,\n \"entitlementId\": \"<string>\",\n \"userId\": \"<string>\"\n },\n \"request\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n },\n \"skipContentInspection\": true\n },\n \"enabledKinds\": [],\n \"id\": \"<string>\",\n \"inference\": {\n \"allowHumanCallers\": true,\n \"callerServicePrincipalId\": \"<string>\",\n \"callerWorkloadFederationTrustId\": \"<string>\",\n \"contentType\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"registryModelId\": \"<string>\",\n \"routeId\": \"<string>\",\n \"secretId\": \"<string>\",\n \"selection\": {\n \"attemptTimeoutMs\": 123,\n \"confidenceThreshold\": 123,\n \"handoffNotes\": {\n \"deescalationNote\": \"<string>\",\n \"escalationNote\": \"<string>\",\n \"onlyOnWrongSignalEscalation\": true\n },\n \"maxAttempts\": 123,\n \"recentWindow\": 123,\n \"retry\": {\n \"baseMs\": 123,\n \"capMs\": 123,\n \"jitter\": true,\n \"maxSameTargetRetries\": 123\n },\n \"routeDeadlineMs\": 123,\n \"stages\": [\n {\n \"judge\": {\n \"baseThreshold\": 123,\n \"decision\": {\n \"capableLabel\": \"<string>\",\n \"cutoff\": 123,\n \"efficientLabel\": \"<string>\",\n \"evidenceJson\": \"<string>\",\n \"instructionsJson\": \"<string>\"\n },\n \"failOpen\": true,\n \"maxOutputTokens\": 123,\n \"prompt\": \"<string>\",\n \"recentTurnWindow\": 123,\n \"thresholdStep\": 123\n },\n \"judgeTargetId\": \"<string>\",\n \"stageId\": \"<string>\",\n \"targetIds\": [\n \"<string>\"\n ],\n \"tierPrompt\": \"<string>\"\n }\n ],\n \"targetIds\": [\n \"<string>\"\n ]\n },\n \"targets\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"catalogVariantId\": \"<string>\",\n \"circuitBreaker\": {\n \"cooldownMs\": 123,\n \"failureThreshold\": 123\n },\n \"contentType\": \"<string>\",\n \"contextLength\": 123,\n \"credentialFailurePolicy\": {},\n \"credentialRecipe\": \"<string>\",\n \"destination\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"modelIdGrammar\": \"<string>\",\n \"providerProfile\": \"<string>\",\n \"reasoningEffort\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"targetId\": \"<string>\",\n \"upstreamModelId\": \"<string>\",\n \"upstreamPath\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"upstreamModelId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n },\n \"inferenceConnections\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"variantId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"inferenceInvokeEntitlementId\": \"<string>\",\n \"inferenceModelsReadEntitlementId\": \"<string>\",\n \"inferenceRoutes\": [\n {\n \"allowHumanCallers\": true,\n \"callerServicePrincipalId\": \"<string>\",\n \"callerWorkloadFederationTrustId\": \"<string>\",\n \"contentType\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"registryModelId\": \"<string>\",\n \"routeId\": \"<string>\",\n \"secretId\": \"<string>\",\n \"selection\": {\n \"attemptTimeoutMs\": 123,\n \"confidenceThreshold\": 123,\n \"handoffNotes\": {\n \"deescalationNote\": \"<string>\",\n \"escalationNote\": \"<string>\",\n \"onlyOnWrongSignalEscalation\": true\n },\n \"maxAttempts\": 123,\n \"recentWindow\": 123,\n \"retry\": {\n \"baseMs\": 123,\n \"capMs\": 123,\n \"jitter\": true,\n \"maxSameTargetRetries\": 123\n },\n \"routeDeadlineMs\": 123,\n \"stages\": [\n {\n \"judge\": {\n \"baseThreshold\": 123,\n \"decision\": {\n \"capableLabel\": \"<string>\",\n \"cutoff\": 123,\n \"efficientLabel\": \"<string>\",\n \"evidenceJson\": \"<string>\",\n \"instructionsJson\": \"<string>\"\n },\n \"failOpen\": true,\n \"maxOutputTokens\": 123,\n \"prompt\": \"<string>\",\n \"recentTurnWindow\": 123,\n \"thresholdStep\": 123\n },\n \"judgeTargetId\": \"<string>\",\n \"stageId\": \"<string>\",\n \"targetIds\": [\n \"<string>\"\n ],\n \"tierPrompt\": \"<string>\"\n }\n ],\n \"targetIds\": [\n \"<string>\"\n ]\n },\n \"targets\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"catalogVariantId\": \"<string>\",\n \"circuitBreaker\": {\n \"cooldownMs\": 123,\n \"failureThreshold\": 123\n },\n \"contentType\": \"<string>\",\n \"contextLength\": 123,\n \"credentialFailurePolicy\": {},\n \"credentialRecipe\": \"<string>\",\n \"destination\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"modelIdGrammar\": \"<string>\",\n \"providerProfile\": \"<string>\",\n \"reasoningEffort\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"targetId\": \"<string>\",\n \"upstreamModelId\": \"<string>\",\n \"upstreamPath\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"upstreamModelId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"tokenAudience\": \"<string>\",\n \"tokenResources\": {\n \"egress\": \"<string>\",\n \"inference\": \"<string>\"\n },\n \"tokenScopes\": [\n \"<string>\"\n ],\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"updateMask\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"edge\": {\n \"allowInferenceBearerTokens\": true,\n \"appId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"credentialInjections\": [\n {\n \"contentType\": \"<string>\",\n \"headerName\": \"<string>\",\n \"hostPattern\": \"<string>\",\n \"pathPattern\": \"<string>\",\n \"secretId\": \"<string>\",\n \"valuePrefix\": \"<string>\",\n \"vaultId\": \"<string>\"\n }\n ],\n \"displayName\": \"<string>\",\n \"egressChecks\": [\n {\n \"enabled\": true,\n \"id\": \"<string>\",\n \"integration\": {\n \"integrationId\": \"<string>\"\n },\n \"match\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"egressConnectEntitlementId\": \"<string>\",\n \"egressRules\": [\n {\n \"allowEmptyEncodedBody\": true,\n \"allowResponseDecodeRefusals\": true,\n \"authzen\": {\n \"appId\": \"<string>\",\n \"serverId\": \"<string>\"\n },\n \"endpointPattern\": \"<string>\",\n \"exemptCredentialKinds\": [],\n \"exemptResponseCredentialKinds\": [],\n \"maxInspectedBodyBytes\": \"<string>\",\n \"principal\": {\n \"all\": true,\n \"entitlementId\": \"<string>\",\n \"userId\": \"<string>\"\n },\n \"request\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n },\n \"skipContentInspection\": true\n }\n ],\n \"egressRulesConfigured\": true,\n \"egressTls\": {\n \"builtin\": {}\n },\n \"egressUnmatchedRule\": {\n \"allowEmptyEncodedBody\": true,\n \"allowResponseDecodeRefusals\": true,\n \"authzen\": {\n \"appId\": \"<string>\",\n \"serverId\": \"<string>\"\n },\n \"endpointPattern\": \"<string>\",\n \"exemptCredentialKinds\": [],\n \"exemptResponseCredentialKinds\": [],\n \"maxInspectedBodyBytes\": \"<string>\",\n \"principal\": {\n \"all\": true,\n \"entitlementId\": \"<string>\",\n \"userId\": \"<string>\"\n },\n \"request\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n },\n \"skipContentInspection\": true\n },\n \"enabledKinds\": [],\n \"id\": \"<string>\",\n \"inference\": {\n \"allowHumanCallers\": true,\n \"callerServicePrincipalId\": \"<string>\",\n \"callerWorkloadFederationTrustId\": \"<string>\",\n \"contentType\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"registryModelId\": \"<string>\",\n \"routeId\": \"<string>\",\n \"secretId\": \"<string>\",\n \"selection\": {\n \"attemptTimeoutMs\": 123,\n \"confidenceThreshold\": 123,\n \"handoffNotes\": {\n \"deescalationNote\": \"<string>\",\n \"escalationNote\": \"<string>\",\n \"onlyOnWrongSignalEscalation\": true\n },\n \"maxAttempts\": 123,\n \"recentWindow\": 123,\n \"retry\": {\n \"baseMs\": 123,\n \"capMs\": 123,\n \"jitter\": true,\n \"maxSameTargetRetries\": 123\n },\n \"routeDeadlineMs\": 123,\n \"stages\": [\n {\n \"judge\": {\n \"baseThreshold\": 123,\n \"decision\": {\n \"capableLabel\": \"<string>\",\n \"cutoff\": 123,\n \"efficientLabel\": \"<string>\",\n \"evidenceJson\": \"<string>\",\n \"instructionsJson\": \"<string>\"\n },\n \"failOpen\": true,\n \"maxOutputTokens\": 123,\n \"prompt\": \"<string>\",\n \"recentTurnWindow\": 123,\n \"thresholdStep\": 123\n },\n \"judgeTargetId\": \"<string>\",\n \"stageId\": \"<string>\",\n \"targetIds\": [\n \"<string>\"\n ],\n \"tierPrompt\": \"<string>\"\n }\n ],\n \"targetIds\": [\n \"<string>\"\n ]\n },\n \"targets\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"catalogVariantId\": \"<string>\",\n \"circuitBreaker\": {\n \"cooldownMs\": 123,\n \"failureThreshold\": 123\n },\n \"contentType\": \"<string>\",\n \"contextLength\": 123,\n \"credentialFailurePolicy\": {},\n \"credentialRecipe\": \"<string>\",\n \"destination\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"modelIdGrammar\": \"<string>\",\n \"providerProfile\": \"<string>\",\n \"reasoningEffort\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"targetId\": \"<string>\",\n \"upstreamModelId\": \"<string>\",\n \"upstreamPath\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"upstreamModelId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n },\n \"inferenceConnections\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"variantId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"inferenceInvokeEntitlementId\": \"<string>\",\n \"inferenceModelsReadEntitlementId\": \"<string>\",\n \"inferenceRoutes\": [\n {\n \"allowHumanCallers\": true,\n \"callerServicePrincipalId\": \"<string>\",\n \"callerWorkloadFederationTrustId\": \"<string>\",\n \"contentType\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"registryModelId\": \"<string>\",\n \"routeId\": \"<string>\",\n \"secretId\": \"<string>\",\n \"selection\": {\n \"attemptTimeoutMs\": 123,\n \"confidenceThreshold\": 123,\n \"handoffNotes\": {\n \"deescalationNote\": \"<string>\",\n \"escalationNote\": \"<string>\",\n \"onlyOnWrongSignalEscalation\": true\n },\n \"maxAttempts\": 123,\n \"recentWindow\": 123,\n \"retry\": {\n \"baseMs\": 123,\n \"capMs\": 123,\n \"jitter\": true,\n \"maxSameTargetRetries\": 123\n },\n \"routeDeadlineMs\": 123,\n \"stages\": [\n {\n \"judge\": {\n \"baseThreshold\": 123,\n \"decision\": {\n \"capableLabel\": \"<string>\",\n \"cutoff\": 123,\n \"efficientLabel\": \"<string>\",\n \"evidenceJson\": \"<string>\",\n \"instructionsJson\": \"<string>\"\n },\n \"failOpen\": true,\n \"maxOutputTokens\": 123,\n \"prompt\": \"<string>\",\n \"recentTurnWindow\": 123,\n \"thresholdStep\": 123\n },\n \"judgeTargetId\": \"<string>\",\n \"stageId\": \"<string>\",\n \"targetIds\": [\n \"<string>\"\n ],\n \"tierPrompt\": \"<string>\"\n }\n ],\n \"targetIds\": [\n \"<string>\"\n ]\n },\n \"targets\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"catalogVariantId\": \"<string>\",\n \"circuitBreaker\": {\n \"cooldownMs\": 123,\n \"failureThreshold\": 123\n },\n \"contentType\": \"<string>\",\n \"contextLength\": 123,\n \"credentialFailurePolicy\": {},\n \"credentialRecipe\": \"<string>\",\n \"destination\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"modelIdGrammar\": \"<string>\",\n \"providerProfile\": \"<string>\",\n \"reasoningEffort\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"targetId\": \"<string>\",\n \"upstreamModelId\": \"<string>\",\n \"upstreamPath\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"upstreamModelId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"tokenAudience\": \"<string>\",\n \"tokenResources\": {\n \"egress\": \"<string>\",\n \"inference\": \"<string>\"\n },\n \"tokenScopes\": [\n \"<string>\"\n ],\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"updateMask\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"edge": {
"allowInferenceBearerTokens": true,
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialInjections": [
{
"contentType": "<string>",
"headerName": "<string>",
"hostPattern": "<string>",
"pathPattern": "<string>",
"secretId": "<string>",
"valuePrefix": "<string>",
"vaultId": "<string>"
}
],
"displayName": "<string>",
"egressChecks": [
{
"enabled": true,
"id": "<string>",
"integration": {
"integrationId": "<string>"
},
"match": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
}
}
],
"egressConnectEntitlementId": "<string>",
"egressRules": [
{
"allowEmptyEncodedBody": true,
"allowResponseDecodeRefusals": true,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"effect": "EDGE_EGRESS_EFFECT_UNSPECIFIED",
"endpointPattern": "<string>",
"exemptCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"exemptResponseCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
},
"responseInspectionProfile": "EDGE_RESPONSE_INSPECTION_PROFILE_UNSPECIFIED",
"skipContentInspection": true
}
],
"egressRulesConfigured": true,
"egressTls": {
"builtin": {
"kind": "EDGE_BUILTIN_TLS_KIND_UNSPECIFIED"
}
},
"egressUnmatchedRule": {
"allowEmptyEncodedBody": true,
"allowResponseDecodeRefusals": true,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"effect": "EDGE_EGRESS_EFFECT_UNSPECIFIED",
"endpointPattern": "<string>",
"exemptCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"exemptResponseCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
},
"responseInspectionProfile": "EDGE_RESPONSE_INSPECTION_PROFILE_UNSPECIFIED",
"skipContentInspection": true
},
"enabledKinds": [
"EDGE_CAPABILITY_KIND_UNSPECIFIED"
],
"id": "<string>",
"inference": {
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"followedTier": "EDGE_INFERENCE_TIER_UNSPECIFIED",
"nativeFormat": "EDGE_INFERENCE_NATIVE_FORMAT_UNSPECIFIED",
"publication": "EDGE_INFERENCE_ROUTE_PUBLICATION_UNSPECIFIED",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"pickerMode": "EDGE_INFERENCE_STAGE_PICKER_MODE_UNSPECIFIED",
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": true,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": true,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"strategy": "EDGE_INFERENCE_SELECTION_STRATEGY_UNSPECIFIED",
"targetIds": [
"<string>"
]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {
"notApplicable": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"rejected401": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"unavailableOrExpired": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED"
},
"credentialRecipe": "<string>",
"credentialSource": "EDGE_INFERENCE_CREDENTIAL_SOURCE_UNSPECIFIED",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
},
"inferenceConnections": [
{
"catalogEntryId": "<string>",
"region": "<string>",
"secretId": "<string>",
"variantId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"inferenceInvokeEntitlementId": "<string>",
"inferenceModelsReadEntitlementId": "<string>",
"inferenceRoutes": [
{
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"followedTier": "EDGE_INFERENCE_TIER_UNSPECIFIED",
"nativeFormat": "EDGE_INFERENCE_NATIVE_FORMAT_UNSPECIFIED",
"publication": "EDGE_INFERENCE_ROUTE_PUBLICATION_UNSPECIFIED",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"pickerMode": "EDGE_INFERENCE_STAGE_PICKER_MODE_UNSPECIFIED",
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": true,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": true,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"strategy": "EDGE_INFERENCE_SELECTION_STRATEGY_UNSPECIFIED",
"targetIds": [
"<string>"
]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {
"notApplicable": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"rejected401": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"unavailableOrExpired": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED"
},
"credentialRecipe": "<string>",
"credentialSource": "EDGE_INFERENCE_CREDENTIAL_SOURCE_UNSPECIFIED",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"mode": "EDGE_MODE_UNSPECIFIED",
"responseInspectionProfile": "EDGE_RESPONSE_INSPECTION_PROFILE_UNSPECIFIED",
"tokenAudience": "<string>",
"tokenResources": {
"egress": "<string>",
"inference": "<string>"
},
"tokenScopes": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}Edge
Update
Update an Edge’s hosting, egress policy, required checks, credentials, or inference routes via update_mask.
POST
/
api
/
v1
/
apps
/
{app_id}
/
edges
/
{id}
Update
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Edge.Update(ctx, operations.C1APIEdgeV1EdgeServiceUpdateRequest{
AppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.EdgeServiceUpdateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.edge.update({
appId: "<id>",
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"edge": {
"allowInferenceBearerTokens": true,
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialInjections": [
{
"contentType": "<string>",
"headerName": "<string>",
"hostPattern": "<string>",
"pathPattern": "<string>",
"secretId": "<string>",
"valuePrefix": "<string>",
"vaultId": "<string>"
}
],
"displayName": "<string>",
"egressChecks": [
{
"enabled": true,
"id": "<string>",
"integration": {
"integrationId": "<string>"
},
"match": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
}
}
],
"egressConnectEntitlementId": "<string>",
"egressRules": [
{
"allowEmptyEncodedBody": true,
"allowResponseDecodeRefusals": true,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"endpointPattern": "<string>",
"exemptCredentialKinds": [],
"exemptResponseCredentialKinds": [],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
},
"skipContentInspection": true
}
],
"egressRulesConfigured": true,
"egressTls": {
"builtin": {}
},
"egressUnmatchedRule": {
"allowEmptyEncodedBody": true,
"allowResponseDecodeRefusals": true,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"endpointPattern": "<string>",
"exemptCredentialKinds": [],
"exemptResponseCredentialKinds": [],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
},
"skipContentInspection": true
},
"enabledKinds": [],
"id": "<string>",
"inference": {
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": true,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": true,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"targetIds": [
"<string>"
]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {},
"credentialRecipe": "<string>",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
},
"inferenceConnections": [
{
"catalogEntryId": "<string>",
"region": "<string>",
"secretId": "<string>",
"variantId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"inferenceInvokeEntitlementId": "<string>",
"inferenceModelsReadEntitlementId": "<string>",
"inferenceRoutes": [
{
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": true,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": true,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"targetIds": [
"<string>"
]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {},
"credentialRecipe": "<string>",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"tokenAudience": "<string>",
"tokenResources": {
"egress": "<string>",
"inference": "<string>"
},
"tokenScopes": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}"
payload = {
"edge": {
"allowInferenceBearerTokens": True,
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialInjections": [
{
"contentType": "<string>",
"headerName": "<string>",
"hostPattern": "<string>",
"pathPattern": "<string>",
"secretId": "<string>",
"valuePrefix": "<string>",
"vaultId": "<string>"
}
],
"displayName": "<string>",
"egressChecks": [
{
"enabled": True,
"id": "<string>",
"integration": { "integrationId": "<string>" },
"match": {
"headerEquals": {},
"headerPresent": ["<string>"],
"methods": ["<string>"],
"packageArtifact": True,
"path": "<string>",
"queryEquals": {},
"queryPresent": ["<string>"]
}
}
],
"egressConnectEntitlementId": "<string>",
"egressRules": [
{
"allowEmptyEncodedBody": True,
"allowResponseDecodeRefusals": True,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"endpointPattern": "<string>",
"exemptCredentialKinds": [],
"exemptResponseCredentialKinds": [],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": True,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": ["<string>"],
"methods": ["<string>"],
"packageArtifact": True,
"path": "<string>",
"queryEquals": {},
"queryPresent": ["<string>"]
},
"skipContentInspection": True
}
],
"egressRulesConfigured": True,
"egressTls": { "builtin": {} },
"egressUnmatchedRule": {
"allowEmptyEncodedBody": True,
"allowResponseDecodeRefusals": True,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"endpointPattern": "<string>",
"exemptCredentialKinds": [],
"exemptResponseCredentialKinds": [],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": True,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": ["<string>"],
"methods": ["<string>"],
"packageArtifact": True,
"path": "<string>",
"queryEquals": {},
"queryPresent": ["<string>"]
},
"skipContentInspection": True
},
"enabledKinds": [],
"id": "<string>",
"inference": {
"allowHumanCallers": True,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": True
},
"maxAttempts": 123,
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": True,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": True,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": ["<string>"],
"tierPrompt": "<string>"
}
],
"targetIds": ["<string>"]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {},
"credentialRecipe": "<string>",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
},
"inferenceConnections": [
{
"catalogEntryId": "<string>",
"region": "<string>",
"secretId": "<string>",
"variantId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"inferenceInvokeEntitlementId": "<string>",
"inferenceModelsReadEntitlementId": "<string>",
"inferenceRoutes": [
{
"allowHumanCallers": True,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": True
},
"maxAttempts": 123,
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": True,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": True,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": ["<string>"],
"tierPrompt": "<string>"
}
],
"targetIds": ["<string>"]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {},
"credentialRecipe": "<string>",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"tokenAudience": "<string>",
"tokenResources": {
"egress": "<string>",
"inference": "<string>"
},
"tokenScopes": ["<string>"],
"updatedAt": "2023-11-07T05:31:56Z"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
edge: {
allowInferenceBearerTokens: true,
appId: '<string>',
createdAt: '2023-11-07T05:31:56Z',
credentialInjections: [
{
contentType: '<string>',
headerName: '<string>',
hostPattern: '<string>',
pathPattern: '<string>',
secretId: '<string>',
valuePrefix: '<string>',
vaultId: '<string>'
}
],
displayName: '<string>',
egressChecks: [
{
enabled: true,
id: '<string>',
integration: {integrationId: '<string>'},
match: {
headerEquals: {},
headerPresent: ['<string>'],
methods: ['<string>'],
packageArtifact: true,
path: '<string>',
queryEquals: {},
queryPresent: ['<string>']
}
}
],
egressConnectEntitlementId: '<string>',
egressRules: [
{
allowEmptyEncodedBody: true,
allowResponseDecodeRefusals: true,
authzen: {appId: '<string>', serverId: '<string>'},
endpointPattern: '<string>',
exemptCredentialKinds: [],
exemptResponseCredentialKinds: [],
maxInspectedBodyBytes: '<string>',
principal: {all: true, entitlementId: '<string>', userId: '<string>'},
request: {
headerEquals: {},
headerPresent: ['<string>'],
methods: ['<string>'],
packageArtifact: true,
path: '<string>',
queryEquals: {},
queryPresent: ['<string>']
},
skipContentInspection: true
}
],
egressRulesConfigured: true,
egressTls: {builtin: {}},
egressUnmatchedRule: {
allowEmptyEncodedBody: true,
allowResponseDecodeRefusals: true,
authzen: {appId: '<string>', serverId: '<string>'},
endpointPattern: '<string>',
exemptCredentialKinds: [],
exemptResponseCredentialKinds: [],
maxInspectedBodyBytes: '<string>',
principal: {all: true, entitlementId: '<string>', userId: '<string>'},
request: {
headerEquals: {},
headerPresent: ['<string>'],
methods: ['<string>'],
packageArtifact: true,
path: '<string>',
queryEquals: {},
queryPresent: ['<string>']
},
skipContentInspection: true
},
enabledKinds: [],
id: '<string>',
inference: {
allowHumanCallers: true,
callerServicePrincipalId: '<string>',
callerWorkloadFederationTrustId: '<string>',
contentType: '<string>',
expectedSecretVersion: '<string>',
registryModelId: '<string>',
routeId: '<string>',
secretId: '<string>',
selection: {
attemptTimeoutMs: 123,
confidenceThreshold: 123,
handoffNotes: {
deescalationNote: '<string>',
escalationNote: '<string>',
onlyOnWrongSignalEscalation: true
},
maxAttempts: 123,
recentWindow: 123,
retry: {baseMs: 123, capMs: 123, jitter: true, maxSameTargetRetries: 123},
routeDeadlineMs: 123,
stages: [
{
judge: {
baseThreshold: 123,
decision: {
capableLabel: '<string>',
cutoff: 123,
efficientLabel: '<string>',
evidenceJson: '<string>',
instructionsJson: '<string>'
},
failOpen: true,
maxOutputTokens: 123,
prompt: '<string>',
recentTurnWindow: 123,
thresholdStep: 123
},
judgeTargetId: '<string>',
stageId: '<string>',
targetIds: ['<string>'],
tierPrompt: '<string>'
}
],
targetIds: ['<string>']
},
targets: [
{
catalogEntryId: '<string>',
catalogVariantId: '<string>',
circuitBreaker: {cooldownMs: 123, failureThreshold: 123},
contentType: '<string>',
contextLength: 123,
credentialFailurePolicy: {},
credentialRecipe: '<string>',
destination: '<string>',
expectedSecretVersion: '<string>',
modelIdGrammar: '<string>',
providerProfile: '<string>',
reasoningEffort: '<string>',
region: '<string>',
secretId: '<string>',
targetId: '<string>',
upstreamModelId: '<string>',
upstreamPath: '<string>',
vaultBoundaryId: '<string>'
}
],
upstreamModelId: '<string>',
vaultBoundaryId: '<string>'
},
inferenceConnections: [
{
catalogEntryId: '<string>',
region: '<string>',
secretId: '<string>',
variantId: '<string>',
vaultBoundaryId: '<string>'
}
],
inferenceInvokeEntitlementId: '<string>',
inferenceModelsReadEntitlementId: '<string>',
inferenceRoutes: [
{
allowHumanCallers: true,
callerServicePrincipalId: '<string>',
callerWorkloadFederationTrustId: '<string>',
contentType: '<string>',
expectedSecretVersion: '<string>',
registryModelId: '<string>',
routeId: '<string>',
secretId: '<string>',
selection: {
attemptTimeoutMs: 123,
confidenceThreshold: 123,
handoffNotes: {
deescalationNote: '<string>',
escalationNote: '<string>',
onlyOnWrongSignalEscalation: true
},
maxAttempts: 123,
recentWindow: 123,
retry: {baseMs: 123, capMs: 123, jitter: true, maxSameTargetRetries: 123},
routeDeadlineMs: 123,
stages: [
{
judge: {
baseThreshold: 123,
decision: {
capableLabel: '<string>',
cutoff: 123,
efficientLabel: '<string>',
evidenceJson: '<string>',
instructionsJson: '<string>'
},
failOpen: true,
maxOutputTokens: 123,
prompt: '<string>',
recentTurnWindow: 123,
thresholdStep: 123
},
judgeTargetId: '<string>',
stageId: '<string>',
targetIds: ['<string>'],
tierPrompt: '<string>'
}
],
targetIds: ['<string>']
},
targets: [
{
catalogEntryId: '<string>',
catalogVariantId: '<string>',
circuitBreaker: {cooldownMs: 123, failureThreshold: 123},
contentType: '<string>',
contextLength: 123,
credentialFailurePolicy: {},
credentialRecipe: '<string>',
destination: '<string>',
expectedSecretVersion: '<string>',
modelIdGrammar: '<string>',
providerProfile: '<string>',
reasoningEffort: '<string>',
region: '<string>',
secretId: '<string>',
targetId: '<string>',
upstreamModelId: '<string>',
upstreamPath: '<string>',
vaultBoundaryId: '<string>'
}
],
upstreamModelId: '<string>',
vaultBoundaryId: '<string>'
}
],
tokenAudience: '<string>',
tokenResources: {egress: '<string>', inference: '<string>'},
tokenScopes: ['<string>'],
updatedAt: '2023-11-07T05:31:56Z'
},
updateMask: '<string>'
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'edge' => [
'allowInferenceBearerTokens' => true,
'appId' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'credentialInjections' => [
[
'contentType' => '<string>',
'headerName' => '<string>',
'hostPattern' => '<string>',
'pathPattern' => '<string>',
'secretId' => '<string>',
'valuePrefix' => '<string>',
'vaultId' => '<string>'
]
],
'displayName' => '<string>',
'egressChecks' => [
[
'enabled' => true,
'id' => '<string>',
'integration' => [
'integrationId' => '<string>'
],
'match' => [
'headerEquals' => [
],
'headerPresent' => [
'<string>'
],
'methods' => [
'<string>'
],
'packageArtifact' => true,
'path' => '<string>',
'queryEquals' => [
],
'queryPresent' => [
'<string>'
]
]
]
],
'egressConnectEntitlementId' => '<string>',
'egressRules' => [
[
'allowEmptyEncodedBody' => true,
'allowResponseDecodeRefusals' => true,
'authzen' => [
'appId' => '<string>',
'serverId' => '<string>'
],
'endpointPattern' => '<string>',
'exemptCredentialKinds' => [
],
'exemptResponseCredentialKinds' => [
],
'maxInspectedBodyBytes' => '<string>',
'principal' => [
'all' => true,
'entitlementId' => '<string>',
'userId' => '<string>'
],
'request' => [
'headerEquals' => [
],
'headerPresent' => [
'<string>'
],
'methods' => [
'<string>'
],
'packageArtifact' => true,
'path' => '<string>',
'queryEquals' => [
],
'queryPresent' => [
'<string>'
]
],
'skipContentInspection' => true
]
],
'egressRulesConfigured' => true,
'egressTls' => [
'builtin' => [
]
],
'egressUnmatchedRule' => [
'allowEmptyEncodedBody' => true,
'allowResponseDecodeRefusals' => true,
'authzen' => [
'appId' => '<string>',
'serverId' => '<string>'
],
'endpointPattern' => '<string>',
'exemptCredentialKinds' => [
],
'exemptResponseCredentialKinds' => [
],
'maxInspectedBodyBytes' => '<string>',
'principal' => [
'all' => true,
'entitlementId' => '<string>',
'userId' => '<string>'
],
'request' => [
'headerEquals' => [
],
'headerPresent' => [
'<string>'
],
'methods' => [
'<string>'
],
'packageArtifact' => true,
'path' => '<string>',
'queryEquals' => [
],
'queryPresent' => [
'<string>'
]
],
'skipContentInspection' => true
],
'enabledKinds' => [
],
'id' => '<string>',
'inference' => [
'allowHumanCallers' => true,
'callerServicePrincipalId' => '<string>',
'callerWorkloadFederationTrustId' => '<string>',
'contentType' => '<string>',
'expectedSecretVersion' => '<string>',
'registryModelId' => '<string>',
'routeId' => '<string>',
'secretId' => '<string>',
'selection' => [
'attemptTimeoutMs' => 123,
'confidenceThreshold' => 123,
'handoffNotes' => [
'deescalationNote' => '<string>',
'escalationNote' => '<string>',
'onlyOnWrongSignalEscalation' => true
],
'maxAttempts' => 123,
'recentWindow' => 123,
'retry' => [
'baseMs' => 123,
'capMs' => 123,
'jitter' => true,
'maxSameTargetRetries' => 123
],
'routeDeadlineMs' => 123,
'stages' => [
[
'judge' => [
'baseThreshold' => 123,
'decision' => [
'capableLabel' => '<string>',
'cutoff' => 123,
'efficientLabel' => '<string>',
'evidenceJson' => '<string>',
'instructionsJson' => '<string>'
],
'failOpen' => true,
'maxOutputTokens' => 123,
'prompt' => '<string>',
'recentTurnWindow' => 123,
'thresholdStep' => 123
],
'judgeTargetId' => '<string>',
'stageId' => '<string>',
'targetIds' => [
'<string>'
],
'tierPrompt' => '<string>'
]
],
'targetIds' => [
'<string>'
]
],
'targets' => [
[
'catalogEntryId' => '<string>',
'catalogVariantId' => '<string>',
'circuitBreaker' => [
'cooldownMs' => 123,
'failureThreshold' => 123
],
'contentType' => '<string>',
'contextLength' => 123,
'credentialFailurePolicy' => [
],
'credentialRecipe' => '<string>',
'destination' => '<string>',
'expectedSecretVersion' => '<string>',
'modelIdGrammar' => '<string>',
'providerProfile' => '<string>',
'reasoningEffort' => '<string>',
'region' => '<string>',
'secretId' => '<string>',
'targetId' => '<string>',
'upstreamModelId' => '<string>',
'upstreamPath' => '<string>',
'vaultBoundaryId' => '<string>'
]
],
'upstreamModelId' => '<string>',
'vaultBoundaryId' => '<string>'
],
'inferenceConnections' => [
[
'catalogEntryId' => '<string>',
'region' => '<string>',
'secretId' => '<string>',
'variantId' => '<string>',
'vaultBoundaryId' => '<string>'
]
],
'inferenceInvokeEntitlementId' => '<string>',
'inferenceModelsReadEntitlementId' => '<string>',
'inferenceRoutes' => [
[
'allowHumanCallers' => true,
'callerServicePrincipalId' => '<string>',
'callerWorkloadFederationTrustId' => '<string>',
'contentType' => '<string>',
'expectedSecretVersion' => '<string>',
'registryModelId' => '<string>',
'routeId' => '<string>',
'secretId' => '<string>',
'selection' => [
'attemptTimeoutMs' => 123,
'confidenceThreshold' => 123,
'handoffNotes' => [
'deescalationNote' => '<string>',
'escalationNote' => '<string>',
'onlyOnWrongSignalEscalation' => true
],
'maxAttempts' => 123,
'recentWindow' => 123,
'retry' => [
'baseMs' => 123,
'capMs' => 123,
'jitter' => true,
'maxSameTargetRetries' => 123
],
'routeDeadlineMs' => 123,
'stages' => [
[
'judge' => [
'baseThreshold' => 123,
'decision' => [
'capableLabel' => '<string>',
'cutoff' => 123,
'efficientLabel' => '<string>',
'evidenceJson' => '<string>',
'instructionsJson' => '<string>'
],
'failOpen' => true,
'maxOutputTokens' => 123,
'prompt' => '<string>',
'recentTurnWindow' => 123,
'thresholdStep' => 123
],
'judgeTargetId' => '<string>',
'stageId' => '<string>',
'targetIds' => [
'<string>'
],
'tierPrompt' => '<string>'
]
],
'targetIds' => [
'<string>'
]
],
'targets' => [
[
'catalogEntryId' => '<string>',
'catalogVariantId' => '<string>',
'circuitBreaker' => [
'cooldownMs' => 123,
'failureThreshold' => 123
],
'contentType' => '<string>',
'contextLength' => 123,
'credentialFailurePolicy' => [
],
'credentialRecipe' => '<string>',
'destination' => '<string>',
'expectedSecretVersion' => '<string>',
'modelIdGrammar' => '<string>',
'providerProfile' => '<string>',
'reasoningEffort' => '<string>',
'region' => '<string>',
'secretId' => '<string>',
'targetId' => '<string>',
'upstreamModelId' => '<string>',
'upstreamPath' => '<string>',
'vaultBoundaryId' => '<string>'
]
],
'upstreamModelId' => '<string>',
'vaultBoundaryId' => '<string>'
]
],
'tokenAudience' => '<string>',
'tokenResources' => [
'egress' => '<string>',
'inference' => '<string>'
],
'tokenScopes' => [
'<string>'
],
'updatedAt' => '2023-11-07T05:31:56Z'
],
'updateMask' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"edge\": {\n \"allowInferenceBearerTokens\": true,\n \"appId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"credentialInjections\": [\n {\n \"contentType\": \"<string>\",\n \"headerName\": \"<string>\",\n \"hostPattern\": \"<string>\",\n \"pathPattern\": \"<string>\",\n \"secretId\": \"<string>\",\n \"valuePrefix\": \"<string>\",\n \"vaultId\": \"<string>\"\n }\n ],\n \"displayName\": \"<string>\",\n \"egressChecks\": [\n {\n \"enabled\": true,\n \"id\": \"<string>\",\n \"integration\": {\n \"integrationId\": \"<string>\"\n },\n \"match\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"egressConnectEntitlementId\": \"<string>\",\n \"egressRules\": [\n {\n \"allowEmptyEncodedBody\": true,\n \"allowResponseDecodeRefusals\": true,\n \"authzen\": {\n \"appId\": \"<string>\",\n \"serverId\": \"<string>\"\n },\n \"endpointPattern\": \"<string>\",\n \"exemptCredentialKinds\": [],\n \"exemptResponseCredentialKinds\": [],\n \"maxInspectedBodyBytes\": \"<string>\",\n \"principal\": {\n \"all\": true,\n \"entitlementId\": \"<string>\",\n \"userId\": \"<string>\"\n },\n \"request\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n },\n \"skipContentInspection\": true\n }\n ],\n \"egressRulesConfigured\": true,\n \"egressTls\": {\n \"builtin\": {}\n },\n \"egressUnmatchedRule\": {\n \"allowEmptyEncodedBody\": true,\n \"allowResponseDecodeRefusals\": true,\n \"authzen\": {\n \"appId\": \"<string>\",\n \"serverId\": \"<string>\"\n },\n \"endpointPattern\": \"<string>\",\n \"exemptCredentialKinds\": [],\n \"exemptResponseCredentialKinds\": [],\n \"maxInspectedBodyBytes\": \"<string>\",\n \"principal\": {\n \"all\": true,\n \"entitlementId\": \"<string>\",\n \"userId\": \"<string>\"\n },\n \"request\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n },\n \"skipContentInspection\": true\n },\n \"enabledKinds\": [],\n \"id\": \"<string>\",\n \"inference\": {\n \"allowHumanCallers\": true,\n \"callerServicePrincipalId\": \"<string>\",\n \"callerWorkloadFederationTrustId\": \"<string>\",\n \"contentType\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"registryModelId\": \"<string>\",\n \"routeId\": \"<string>\",\n \"secretId\": \"<string>\",\n \"selection\": {\n \"attemptTimeoutMs\": 123,\n \"confidenceThreshold\": 123,\n \"handoffNotes\": {\n \"deescalationNote\": \"<string>\",\n \"escalationNote\": \"<string>\",\n \"onlyOnWrongSignalEscalation\": true\n },\n \"maxAttempts\": 123,\n \"recentWindow\": 123,\n \"retry\": {\n \"baseMs\": 123,\n \"capMs\": 123,\n \"jitter\": true,\n \"maxSameTargetRetries\": 123\n },\n \"routeDeadlineMs\": 123,\n \"stages\": [\n {\n \"judge\": {\n \"baseThreshold\": 123,\n \"decision\": {\n \"capableLabel\": \"<string>\",\n \"cutoff\": 123,\n \"efficientLabel\": \"<string>\",\n \"evidenceJson\": \"<string>\",\n \"instructionsJson\": \"<string>\"\n },\n \"failOpen\": true,\n \"maxOutputTokens\": 123,\n \"prompt\": \"<string>\",\n \"recentTurnWindow\": 123,\n \"thresholdStep\": 123\n },\n \"judgeTargetId\": \"<string>\",\n \"stageId\": \"<string>\",\n \"targetIds\": [\n \"<string>\"\n ],\n \"tierPrompt\": \"<string>\"\n }\n ],\n \"targetIds\": [\n \"<string>\"\n ]\n },\n \"targets\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"catalogVariantId\": \"<string>\",\n \"circuitBreaker\": {\n \"cooldownMs\": 123,\n \"failureThreshold\": 123\n },\n \"contentType\": \"<string>\",\n \"contextLength\": 123,\n \"credentialFailurePolicy\": {},\n \"credentialRecipe\": \"<string>\",\n \"destination\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"modelIdGrammar\": \"<string>\",\n \"providerProfile\": \"<string>\",\n \"reasoningEffort\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"targetId\": \"<string>\",\n \"upstreamModelId\": \"<string>\",\n \"upstreamPath\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"upstreamModelId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n },\n \"inferenceConnections\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"variantId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"inferenceInvokeEntitlementId\": \"<string>\",\n \"inferenceModelsReadEntitlementId\": \"<string>\",\n \"inferenceRoutes\": [\n {\n \"allowHumanCallers\": true,\n \"callerServicePrincipalId\": \"<string>\",\n \"callerWorkloadFederationTrustId\": \"<string>\",\n \"contentType\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"registryModelId\": \"<string>\",\n \"routeId\": \"<string>\",\n \"secretId\": \"<string>\",\n \"selection\": {\n \"attemptTimeoutMs\": 123,\n \"confidenceThreshold\": 123,\n \"handoffNotes\": {\n \"deescalationNote\": \"<string>\",\n \"escalationNote\": \"<string>\",\n \"onlyOnWrongSignalEscalation\": true\n },\n \"maxAttempts\": 123,\n \"recentWindow\": 123,\n \"retry\": {\n \"baseMs\": 123,\n \"capMs\": 123,\n \"jitter\": true,\n \"maxSameTargetRetries\": 123\n },\n \"routeDeadlineMs\": 123,\n \"stages\": [\n {\n \"judge\": {\n \"baseThreshold\": 123,\n \"decision\": {\n \"capableLabel\": \"<string>\",\n \"cutoff\": 123,\n \"efficientLabel\": \"<string>\",\n \"evidenceJson\": \"<string>\",\n \"instructionsJson\": \"<string>\"\n },\n \"failOpen\": true,\n \"maxOutputTokens\": 123,\n \"prompt\": \"<string>\",\n \"recentTurnWindow\": 123,\n \"thresholdStep\": 123\n },\n \"judgeTargetId\": \"<string>\",\n \"stageId\": \"<string>\",\n \"targetIds\": [\n \"<string>\"\n ],\n \"tierPrompt\": \"<string>\"\n }\n ],\n \"targetIds\": [\n \"<string>\"\n ]\n },\n \"targets\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"catalogVariantId\": \"<string>\",\n \"circuitBreaker\": {\n \"cooldownMs\": 123,\n \"failureThreshold\": 123\n },\n \"contentType\": \"<string>\",\n \"contextLength\": 123,\n \"credentialFailurePolicy\": {},\n \"credentialRecipe\": \"<string>\",\n \"destination\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"modelIdGrammar\": \"<string>\",\n \"providerProfile\": \"<string>\",\n \"reasoningEffort\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"targetId\": \"<string>\",\n \"upstreamModelId\": \"<string>\",\n \"upstreamPath\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"upstreamModelId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"tokenAudience\": \"<string>\",\n \"tokenResources\": {\n \"egress\": \"<string>\",\n \"inference\": \"<string>\"\n },\n \"tokenScopes\": [\n \"<string>\"\n ],\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"updateMask\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/apps/{app_id}/edges/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"edge\": {\n \"allowInferenceBearerTokens\": true,\n \"appId\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"credentialInjections\": [\n {\n \"contentType\": \"<string>\",\n \"headerName\": \"<string>\",\n \"hostPattern\": \"<string>\",\n \"pathPattern\": \"<string>\",\n \"secretId\": \"<string>\",\n \"valuePrefix\": \"<string>\",\n \"vaultId\": \"<string>\"\n }\n ],\n \"displayName\": \"<string>\",\n \"egressChecks\": [\n {\n \"enabled\": true,\n \"id\": \"<string>\",\n \"integration\": {\n \"integrationId\": \"<string>\"\n },\n \"match\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n }\n }\n ],\n \"egressConnectEntitlementId\": \"<string>\",\n \"egressRules\": [\n {\n \"allowEmptyEncodedBody\": true,\n \"allowResponseDecodeRefusals\": true,\n \"authzen\": {\n \"appId\": \"<string>\",\n \"serverId\": \"<string>\"\n },\n \"endpointPattern\": \"<string>\",\n \"exemptCredentialKinds\": [],\n \"exemptResponseCredentialKinds\": [],\n \"maxInspectedBodyBytes\": \"<string>\",\n \"principal\": {\n \"all\": true,\n \"entitlementId\": \"<string>\",\n \"userId\": \"<string>\"\n },\n \"request\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n },\n \"skipContentInspection\": true\n }\n ],\n \"egressRulesConfigured\": true,\n \"egressTls\": {\n \"builtin\": {}\n },\n \"egressUnmatchedRule\": {\n \"allowEmptyEncodedBody\": true,\n \"allowResponseDecodeRefusals\": true,\n \"authzen\": {\n \"appId\": \"<string>\",\n \"serverId\": \"<string>\"\n },\n \"endpointPattern\": \"<string>\",\n \"exemptCredentialKinds\": [],\n \"exemptResponseCredentialKinds\": [],\n \"maxInspectedBodyBytes\": \"<string>\",\n \"principal\": {\n \"all\": true,\n \"entitlementId\": \"<string>\",\n \"userId\": \"<string>\"\n },\n \"request\": {\n \"headerEquals\": {},\n \"headerPresent\": [\n \"<string>\"\n ],\n \"methods\": [\n \"<string>\"\n ],\n \"packageArtifact\": true,\n \"path\": \"<string>\",\n \"queryEquals\": {},\n \"queryPresent\": [\n \"<string>\"\n ]\n },\n \"skipContentInspection\": true\n },\n \"enabledKinds\": [],\n \"id\": \"<string>\",\n \"inference\": {\n \"allowHumanCallers\": true,\n \"callerServicePrincipalId\": \"<string>\",\n \"callerWorkloadFederationTrustId\": \"<string>\",\n \"contentType\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"registryModelId\": \"<string>\",\n \"routeId\": \"<string>\",\n \"secretId\": \"<string>\",\n \"selection\": {\n \"attemptTimeoutMs\": 123,\n \"confidenceThreshold\": 123,\n \"handoffNotes\": {\n \"deescalationNote\": \"<string>\",\n \"escalationNote\": \"<string>\",\n \"onlyOnWrongSignalEscalation\": true\n },\n \"maxAttempts\": 123,\n \"recentWindow\": 123,\n \"retry\": {\n \"baseMs\": 123,\n \"capMs\": 123,\n \"jitter\": true,\n \"maxSameTargetRetries\": 123\n },\n \"routeDeadlineMs\": 123,\n \"stages\": [\n {\n \"judge\": {\n \"baseThreshold\": 123,\n \"decision\": {\n \"capableLabel\": \"<string>\",\n \"cutoff\": 123,\n \"efficientLabel\": \"<string>\",\n \"evidenceJson\": \"<string>\",\n \"instructionsJson\": \"<string>\"\n },\n \"failOpen\": true,\n \"maxOutputTokens\": 123,\n \"prompt\": \"<string>\",\n \"recentTurnWindow\": 123,\n \"thresholdStep\": 123\n },\n \"judgeTargetId\": \"<string>\",\n \"stageId\": \"<string>\",\n \"targetIds\": [\n \"<string>\"\n ],\n \"tierPrompt\": \"<string>\"\n }\n ],\n \"targetIds\": [\n \"<string>\"\n ]\n },\n \"targets\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"catalogVariantId\": \"<string>\",\n \"circuitBreaker\": {\n \"cooldownMs\": 123,\n \"failureThreshold\": 123\n },\n \"contentType\": \"<string>\",\n \"contextLength\": 123,\n \"credentialFailurePolicy\": {},\n \"credentialRecipe\": \"<string>\",\n \"destination\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"modelIdGrammar\": \"<string>\",\n \"providerProfile\": \"<string>\",\n \"reasoningEffort\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"targetId\": \"<string>\",\n \"upstreamModelId\": \"<string>\",\n \"upstreamPath\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"upstreamModelId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n },\n \"inferenceConnections\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"variantId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"inferenceInvokeEntitlementId\": \"<string>\",\n \"inferenceModelsReadEntitlementId\": \"<string>\",\n \"inferenceRoutes\": [\n {\n \"allowHumanCallers\": true,\n \"callerServicePrincipalId\": \"<string>\",\n \"callerWorkloadFederationTrustId\": \"<string>\",\n \"contentType\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"registryModelId\": \"<string>\",\n \"routeId\": \"<string>\",\n \"secretId\": \"<string>\",\n \"selection\": {\n \"attemptTimeoutMs\": 123,\n \"confidenceThreshold\": 123,\n \"handoffNotes\": {\n \"deescalationNote\": \"<string>\",\n \"escalationNote\": \"<string>\",\n \"onlyOnWrongSignalEscalation\": true\n },\n \"maxAttempts\": 123,\n \"recentWindow\": 123,\n \"retry\": {\n \"baseMs\": 123,\n \"capMs\": 123,\n \"jitter\": true,\n \"maxSameTargetRetries\": 123\n },\n \"routeDeadlineMs\": 123,\n \"stages\": [\n {\n \"judge\": {\n \"baseThreshold\": 123,\n \"decision\": {\n \"capableLabel\": \"<string>\",\n \"cutoff\": 123,\n \"efficientLabel\": \"<string>\",\n \"evidenceJson\": \"<string>\",\n \"instructionsJson\": \"<string>\"\n },\n \"failOpen\": true,\n \"maxOutputTokens\": 123,\n \"prompt\": \"<string>\",\n \"recentTurnWindow\": 123,\n \"thresholdStep\": 123\n },\n \"judgeTargetId\": \"<string>\",\n \"stageId\": \"<string>\",\n \"targetIds\": [\n \"<string>\"\n ],\n \"tierPrompt\": \"<string>\"\n }\n ],\n \"targetIds\": [\n \"<string>\"\n ]\n },\n \"targets\": [\n {\n \"catalogEntryId\": \"<string>\",\n \"catalogVariantId\": \"<string>\",\n \"circuitBreaker\": {\n \"cooldownMs\": 123,\n \"failureThreshold\": 123\n },\n \"contentType\": \"<string>\",\n \"contextLength\": 123,\n \"credentialFailurePolicy\": {},\n \"credentialRecipe\": \"<string>\",\n \"destination\": \"<string>\",\n \"expectedSecretVersion\": \"<string>\",\n \"modelIdGrammar\": \"<string>\",\n \"providerProfile\": \"<string>\",\n \"reasoningEffort\": \"<string>\",\n \"region\": \"<string>\",\n \"secretId\": \"<string>\",\n \"targetId\": \"<string>\",\n \"upstreamModelId\": \"<string>\",\n \"upstreamPath\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"upstreamModelId\": \"<string>\",\n \"vaultBoundaryId\": \"<string>\"\n }\n ],\n \"tokenAudience\": \"<string>\",\n \"tokenResources\": {\n \"egress\": \"<string>\",\n \"inference\": \"<string>\"\n },\n \"tokenScopes\": [\n \"<string>\"\n ],\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"updateMask\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"edge": {
"allowInferenceBearerTokens": true,
"appId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"credentialInjections": [
{
"contentType": "<string>",
"headerName": "<string>",
"hostPattern": "<string>",
"pathPattern": "<string>",
"secretId": "<string>",
"valuePrefix": "<string>",
"vaultId": "<string>"
}
],
"displayName": "<string>",
"egressChecks": [
{
"enabled": true,
"id": "<string>",
"integration": {
"integrationId": "<string>"
},
"match": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
}
}
],
"egressConnectEntitlementId": "<string>",
"egressRules": [
{
"allowEmptyEncodedBody": true,
"allowResponseDecodeRefusals": true,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"effect": "EDGE_EGRESS_EFFECT_UNSPECIFIED",
"endpointPattern": "<string>",
"exemptCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"exemptResponseCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
},
"responseInspectionProfile": "EDGE_RESPONSE_INSPECTION_PROFILE_UNSPECIFIED",
"skipContentInspection": true
}
],
"egressRulesConfigured": true,
"egressTls": {
"builtin": {
"kind": "EDGE_BUILTIN_TLS_KIND_UNSPECIFIED"
}
},
"egressUnmatchedRule": {
"allowEmptyEncodedBody": true,
"allowResponseDecodeRefusals": true,
"authzen": {
"appId": "<string>",
"serverId": "<string>"
},
"effect": "EDGE_EGRESS_EFFECT_UNSPECIFIED",
"endpointPattern": "<string>",
"exemptCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"exemptResponseCredentialKinds": [
"CREDENTIAL_KIND_UNSPECIFIED"
],
"maxInspectedBodyBytes": "<string>",
"principal": {
"all": true,
"entitlementId": "<string>",
"userId": "<string>"
},
"request": {
"headerEquals": {},
"headerPresent": [
"<string>"
],
"methods": [
"<string>"
],
"packageArtifact": true,
"path": "<string>",
"queryEquals": {},
"queryPresent": [
"<string>"
]
},
"responseInspectionProfile": "EDGE_RESPONSE_INSPECTION_PROFILE_UNSPECIFIED",
"skipContentInspection": true
},
"enabledKinds": [
"EDGE_CAPABILITY_KIND_UNSPECIFIED"
],
"id": "<string>",
"inference": {
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"followedTier": "EDGE_INFERENCE_TIER_UNSPECIFIED",
"nativeFormat": "EDGE_INFERENCE_NATIVE_FORMAT_UNSPECIFIED",
"publication": "EDGE_INFERENCE_ROUTE_PUBLICATION_UNSPECIFIED",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"pickerMode": "EDGE_INFERENCE_STAGE_PICKER_MODE_UNSPECIFIED",
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": true,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": true,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"strategy": "EDGE_INFERENCE_SELECTION_STRATEGY_UNSPECIFIED",
"targetIds": [
"<string>"
]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {
"notApplicable": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"rejected401": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"unavailableOrExpired": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED"
},
"credentialRecipe": "<string>",
"credentialSource": "EDGE_INFERENCE_CREDENTIAL_SOURCE_UNSPECIFIED",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
},
"inferenceConnections": [
{
"catalogEntryId": "<string>",
"region": "<string>",
"secretId": "<string>",
"variantId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"inferenceInvokeEntitlementId": "<string>",
"inferenceModelsReadEntitlementId": "<string>",
"inferenceRoutes": [
{
"allowHumanCallers": true,
"callerServicePrincipalId": "<string>",
"callerWorkloadFederationTrustId": "<string>",
"contentType": "<string>",
"expectedSecretVersion": "<string>",
"followedTier": "EDGE_INFERENCE_TIER_UNSPECIFIED",
"nativeFormat": "EDGE_INFERENCE_NATIVE_FORMAT_UNSPECIFIED",
"publication": "EDGE_INFERENCE_ROUTE_PUBLICATION_UNSPECIFIED",
"registryModelId": "<string>",
"routeId": "<string>",
"secretId": "<string>",
"selection": {
"attemptTimeoutMs": 123,
"confidenceThreshold": 123,
"handoffNotes": {
"deescalationNote": "<string>",
"escalationNote": "<string>",
"onlyOnWrongSignalEscalation": true
},
"maxAttempts": 123,
"pickerMode": "EDGE_INFERENCE_STAGE_PICKER_MODE_UNSPECIFIED",
"recentWindow": 123,
"retry": {
"baseMs": 123,
"capMs": 123,
"jitter": true,
"maxSameTargetRetries": 123
},
"routeDeadlineMs": 123,
"stages": [
{
"judge": {
"baseThreshold": 123,
"decision": {
"capableLabel": "<string>",
"cutoff": 123,
"efficientLabel": "<string>",
"evidenceJson": "<string>",
"instructionsJson": "<string>"
},
"failOpen": true,
"maxOutputTokens": 123,
"prompt": "<string>",
"recentTurnWindow": 123,
"thresholdStep": 123
},
"judgeTargetId": "<string>",
"stageId": "<string>",
"targetIds": [
"<string>"
],
"tierPrompt": "<string>"
}
],
"strategy": "EDGE_INFERENCE_SELECTION_STRATEGY_UNSPECIFIED",
"targetIds": [
"<string>"
]
},
"targets": [
{
"catalogEntryId": "<string>",
"catalogVariantId": "<string>",
"circuitBreaker": {
"cooldownMs": 123,
"failureThreshold": 123
},
"contentType": "<string>",
"contextLength": 123,
"credentialFailurePolicy": {
"notApplicable": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"rejected401": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED",
"unavailableOrExpired": "EDGE_INFERENCE_FAILURE_DISPOSITION_UNSPECIFIED"
},
"credentialRecipe": "<string>",
"credentialSource": "EDGE_INFERENCE_CREDENTIAL_SOURCE_UNSPECIFIED",
"destination": "<string>",
"expectedSecretVersion": "<string>",
"modelIdGrammar": "<string>",
"providerProfile": "<string>",
"reasoningEffort": "<string>",
"region": "<string>",
"secretId": "<string>",
"targetId": "<string>",
"upstreamModelId": "<string>",
"upstreamPath": "<string>",
"vaultBoundaryId": "<string>"
}
],
"upstreamModelId": "<string>",
"vaultBoundaryId": "<string>"
}
],
"mode": "EDGE_MODE_UNSPECIFIED",
"responseInspectionProfile": "EDGE_RESPONSE_INSPECTION_PROFILE_UNSPECIFIED",
"tokenAudience": "<string>",
"tokenResources": {
"egress": "<string>",
"inference": "<string>"
},
"tokenScopes": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}
}Authorizations
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
application/json
EdgeServiceUpdateRequest updates an existing Edge via update_mask. Editable paths: mode, enabled_kinds, egress_rules, egress_unmatched_rule, egress_checks, credential_injections, inference_routes, inference_connections, allow_inference_bearer_tokens, egress_tls, response_inspection_profile. The legacy inference mask may clear or replace one graph.
Was this page helpful?